Subject: RE: How does cygwin map / to c:/cygwin?
From: "John Carlyle- Clarke" <[email-masked]>
To: "Jeff Perry" <[email-masked]>
Cc: "Cygwin List (E-mail)" <[email-masked]>
Date: Mon, 30 Sep 2002 17:15:12 +0100

> -----Original Message-----
> From: Jeff Perry [mailto:[email-masked]]
> Sent: 27 September 2002 23:44
> To: [email-masked]
> Subject: How does cygwin map / to c:/cygwin?
> 
 
> When I type gvim /etc/passwd from bash, gvim comes up with an 
> empty file
> called passwd in c:/etc (which doesn't exist).  If I try to 
> write this file,
> gvim fails, which, of course, it should. (The gvim I'm using 
> is the one compiled for NT).

Other have explained why: here is my solution.  Put this in your ~/.bashrc:

function gvim { gvim.bat $(cygpath -w $*) ; }

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/